﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using System.Windows.Forms;

namespace SoftkeysWM
{
    internal class KeyboardEmulation
    {
        private KeyboardEmulation() { }

        internal static void VkDone()
        {
            NativeMethods.keybd_event(
                (byte)Keys.RWin,
                0,
                NativeMethods.KEYEVENTF_SILENT,
                0);
            NativeMethods.keybd_event(
                (byte)Keys.F6,
                0,
                NativeMethods.KEYEVENTF_SILENT,
                0);
            NativeMethods.keybd_event(
                (byte)Keys.F6,
                0,
                NativeMethods.KEYEVENTF_SILENT | NativeMethods.KEYEVENTF_KEYUP,
                0);
            NativeMethods.keybd_event(
                (byte)Keys.RWin,
                0,
                NativeMethods.KEYEVENTF_SILENT | NativeMethods.KEYEVENTF_KEYUP,
                0);
        }

        private class NativeMethods
        {
            private NativeMethods() { }

            [DllImport("coredll.dll")]
            public static extern void keybd_event(
                byte bVk,
                byte bScan,
                uint dwFlags,
                uint dwExtraInfo);

            public const uint KEYEVENTF_KEYUP = 0x0002;
            public const uint KEYEVENTF_SILENT = 0x0004;
        }
    }
}
